Subject: bug#25658: 26.0.50; ELisp part in a mail isn't encoded properly

From: Katsumi Yamaoka <[email-masked]>
Date: Mon, 13 Feb 2017 17:31:03 +0900

On Mon, 13 Feb 2017 07:44:07 +0200, Eli Zaretskii wrote:
>> cd lisp/gnus
>> egrep '\((decode|encode)-coding-region' *.el|wc -l
>>  => 10
>> are they all potentially bugs?

> Not necessarily, they need to be reviewed one by one.

Ok.  But I personally got to think *-coding-region should never
be used anymore.

> My question was triggered by the fact that "what Gnus wants" was so
> much simpler and obviously correct that it was a clear winner IMO.  If
> the other places are all of the same variety, then yes, I'd suggest to
> make similar replacements there as well.

I see, however it's not so easy to simplify the codes so as to
achieve just "what Gnus wants" perfectly (I mean using *-coding-
string for all the cases).

Instead, I've modified `mm-encode-body' for the emergency fix.
In the Emacs master, only `mml-generate-mime-1' uses it.
(`rfc2231-encode-string' uses it as well but now we use
 `rfc2047-encode-parameter' instead for encoding a file name.)

Regards,